Package com.sas.rio

# Enum Class MVASQLState

java.lang.Object
java.lang.Enum<MVASQLState>
com.sas.rio.MVASQLState

All Implemented Interfaces:
  `Serializable`, `Comparable<MVASQLState>`, `java.lang.constant.Constable`

public enum MVASQLState extends Enum<MVASQLState>

This class defines the SQLState enumerations for error messages and exceptions used by the IOM JDBC Driver.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SS_01000_GENERAL_WARNING`
  `SS_01S02_CONCURRENCY_CHANGED`
  `SS_07_006_INVALID_CONVERSION`
  `SS_08000_CONNECTION_EXCEPTION`
  `SS_08001_CONNECTION_UNABLE_TO_ESTABLISH`
  `SS_08003_CONNECTION_DOES_NOT_EXIST`
  `SS_08006_CONNECTION_FAILURE`
  `SS_0A000_FEATURE_NOT_SUPPORTED`
  `SS_23000_INVALID_AUTHORIZATION_SPEC`
  `SS_24000_INVALID_CURSOR_POSITION`
  `SS_25000_INVALID_TRANSACTION_STATE`
  `SS_3F000_INVALID_SCHEMA_NAME`
  `SS_42000_SYNTAX_ACCESS_ERROR`
  `SS_42S02_TABLE_NOT_FOUND`
  `SS_HY000_API_EXCEPTION`
  `SS_HY002_INVALID_COLUMN_NUMBER`
  `SS_HY009_INVALID_ARGUMENT_VALUE`
  `SS_HY010_FUNCTION_SEQUENCE_ERROR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `ss()`
  `static MVASQLState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MVASQLState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SS_HY000_API_EXCEPTION

    public static final MVASQLState SS_HY000_API_EXCEPTION

  - ### SS_HY002_INVALID_COLUMN_NUMBER

    public static final MVASQLState SS_HY002_INVALID_COLUMN_NUMBER

  - ### SS_HY009_INVALID_ARGUMENT_VALUE

    public static final MVASQLState SS_HY009_INVALID_ARGUMENT_VALUE

  - ### SS_HY010_FUNCTION_SEQUENCE_ERROR

    public static final MVASQLState SS_HY010_FUNCTION_SEQUENCE_ERROR

  - ### SS_01000_GENERAL_WARNING

    public static final MVASQLState SS_01000_GENERAL_WARNING

  - ### SS_01S02_CONCURRENCY_CHANGED

    public static final MVASQLState SS_01S02_CONCURRENCY_CHANGED

  - ### SS_07_006_INVALID_CONVERSION

    public static final MVASQLState SS_07_006_INVALID_CONVERSION

  - ### SS_08000_CONNECTION_EXCEPTION

    public static final MVASQLState SS_08000_CONNECTION_EXCEPTION

  - ### SS_08001_CONNECTION_UNABLE_TO_ESTABLISH

    public static final MVASQLState SS_08001_CONNECTION_UNABLE_TO_ESTABLISH

  - ### SS_08003_CONNECTION_DOES_NOT_EXIST

    public static final MVASQLState SS_08003_CONNECTION_DOES_NOT_EXIST

  - ### SS_08006_CONNECTION_FAILURE

    public static final MVASQLState SS_08006_CONNECTION_FAILURE

  - ### SS_0A000_FEATURE_NOT_SUPPORTED

    public static final MVASQLState SS_0A000_FEATURE_NOT_SUPPORTED

  - ### SS_24000_INVALID_CURSOR_POSITION

    public static final MVASQLState SS_24000_INVALID_CURSOR_POSITION

  - ### SS_23000_INVALID_AUTHORIZATION_SPEC

    public static final MVASQLState SS_23000_INVALID_AUTHORIZATION_SPEC

  - ### SS_25000_INVALID_TRANSACTION_STATE

    public static final MVASQLState SS_25000_INVALID_TRANSACTION_STATE

  - ### SS_3F000_INVALID_SCHEMA_NAME

    public static final MVASQLState SS_3F000_INVALID_SCHEMA_NAME

  - ### SS_42000_SYNTAX_ACCESS_ERROR

    public static final MVASQLState SS_42000_SYNTAX_ACCESS_ERROR

  - ### SS_42S02_TABLE_NOT_FOUND

    public static final MVASQLState SS_42S02_TABLE_NOT_FOUND

- ## Method Details

  - ### values

    public static MVASQLState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MVASQLState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### ss

    public String ss()